Agents
Get Agent
Get Agent
GET
/v2/agents/{agent_id}Path Parameters
agent_idstring · uuidrequiredRequest
curl --request GET \
--url https://api.brainbaselabs.com/v2/agents/{agent_id} \
--header 'Authorization: Bearer YOUR_API_KEY'Response
json{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"owner_user_id": "65139110-7c3c-4777-b692-80c218be3b9d",
"title": "string",
"instructions": "string",
"runtime_kind": "string",
"machine_kind": "string",
"mcp_servers": [
{
"name": "string",
"url": "string",
"command": "string",
"args": [
"string"
],
"env": {
"property1": "string",
"property2": "string"
},
"headers": {
"property1": "string",
"property2": "string"
},
"is_enabled": true
}
],
"skills": [
{
"source": "string"
}
],
"secrets": {
"property1": "string",
"property2": "string"
},
"metadata": {
"property1": "string",
"property2": "string"
},
"created_at": "2019-08-24T14:15:22Z"
}